import { RenderResult } from '@dojo/framework/core/interfaces';
declare type ResultStatus = 'alert' | 'error' | 'info' | 'success';
export interface ResultProperties {
    title?: string;
    subtitle?: string;
    status?: ResultStatus;
}
export interface ResultChildren {
    icon?: RenderResult;
    content?: RenderResult;
    actionButtons?: RenderResult;
}
export declare const Result: import("@dojo/framework/core/interfaces").OptionalWNodeFactory<{
    properties: ResultProperties & import("@dojo/framework/core/interfaces").WidgetProperties & {
        variant?: "default" | "inherit" | undefined;
    } & import("@dojo/framework/core/middleware/theme").ThemeProperties;
    children: ResultChildren;
}>;
export default Result;
